package com.fs.qw.event;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.HashMap;
import java.util.Map;

@Data
@EqualsAndHashCode(callSuper = true)
public class EventMessageApp extends EventQwMessage {
    private String title; // 标题
    private String desc; // 描述
    private String icon; // 小程序图标
    private String path; // 小程序入口地址
    private String appid; // 小程序ID
    private String ghid; // 以 "gh_" 开头的字符串
    private String thumbnailFileId; // 小程序缩略图fileId
    private String thumbnailAesKey; // 小程序缩略图aesKey
    private String thumbnailMd5; // 小程序缩略图md5
    private Long thumbnailFileSize; // 小程序缩略图fileSize

    public Map<String, Object> toMap() {
        Map<String, Object> map = new HashMap<>();
        map.put("title", title);
        map.put("desc", desc);
        map.put("icon", icon);
        map.put("path", path);
        map.put("appid", appid);
        map.put("ghid", ghid);
        map.put("thumbnailFileId", thumbnailFileId);
        map.put("thumbnailAesKey", thumbnailAesKey);
        map.put("thumbnailMd5", thumbnailMd5);
        map.put("thumbnailFileSize", thumbnailFileSize);
        return map;
    }
}
